<?php
//栏目分类设置
@ require ('readonly/function/confirm_power.php');
define('POWER', confirm_power());



//获取我的收藏
if (POWER > 0) {
  if (!isset($sql['db_err'])) {
    db_conn();
  }
  if ($sql['db_err'] == '') {


    $result = @mysql_query('SELECT collection FROM `'.$sql['pref'].''.$sql['data']['承载成员档案的表名'].'` WHERE username="'.$session[0].'" LIMIT 1', $db);
    $row = @mysql_fetch_assoc($result);
    @mysql_free_result($result);
    if (is_array($row) && count($row) > 0) {
      $row['collection'] = preg_replace('/<\/?(li|span)>/i', '', $row['collection']);
      $row['collection'] = trim($row['collection']);
      $text = !empty($row['collection']) ? '<a class="class_name">收藏</a>'.$row['collection'].'' : '';
    }
  }
  @mysql_close();

}


echo isset($text) && $text != '' ? $text : '暂无收藏 <style> #collection { display:none; } </style>';
die;
?>